const install = (Vue, vm) => {
    Vue.prototype.$u.http.setConfig({
        baseUrl: process.env.VUE_APP_SERVER,
        originalData: true,
        showLoading: false,
        timeout: 10000,
        // loadingText: '努力加载中~',
        header: {
            // "user": {
                // "token": vm.vuex_token,
            // } 
        }, 
        data:{
            header: {
                user: {
                  token: vm.vuex_token
                },
            },
            body: {}
        }
    });
    // 请求拦截
    Vue.prototype.$u.http.interceptor.request = (config) => {
            console.log(config)
            if (vm.vuex_token) {
                config.header.token = vm.vuex_token
            }
            config.data.header = {
                user: {
                    token: vm.vuex_token,
                }
            }
            return config;
        }
        // 响应拦截
    Vue.prototype.$u.http.interceptor.response = (res) => {
        console.log(res)
        if (res.data.ErrNo == '0000') {
            return res.data;
        } else if (res.data.ErrNo == '0005') {
            uni.showToast({
                title: res.data.ErrMsg || '未登录',
                icon: "none",
                duration: 3000
            })
            uni.navigateTo({
                url: '/pages/tabs/login'
            });
            return;
        } else {
            uni.showToast({
                title: res.data.ErrMsg || '加载失败',
                icon: "none",
                duration: 3000
            })
            return;
        }
    }
}

export default {
    install
}